@import url(https://netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css);
@import url(https://fonts.googleapis.com/css?family=Source+Sans+Pro:700,400,300);

.Message {
	box-sizing: border-box;
	font-family: "Source Sans Pro";
	font-weight: 300;
	display: table;
	position: relative;
	margin: 10px auto 10px;
	width: 100%;
	background-color: #0074D9;
	color: #fff;
	transition: all 0.5s ease;
	border: 2px solid black;
	border-radius: 25px;
}
.Message.is-hidden {
	transform: scale(0);
	opacity: 0;
	height: 0;
	font-size: 0;
	padding: 0;
	margin: 0;
	border: 0;
}
.Message.is-hidden .Message-body{
	padding: 0;
	display: none;
}
.Message.is-hidden .Message-icon{
	padding: 0;
}
.Message.is-hidden .Message-icon > i {
	font-size: 0;
}
.Message.is-hidden .Message-close {
	height: 0;
	margin-top: 0;
	font-size: 0;
}
.Message.hide{
	display: none;
}

.Message--orange {
	background-color: #F39C12;
}

.Message--red {
	background-color: #FF4136;
}

.Message--green {
	background-color: #2ECC40;
}

.Message-icon {
	box-sizing: border-box;
	display: table-cell;
	vertical-align: middle;
	width: 60px;
	padding: 30px;
	text-align: center;
	background-color: rgba(0, 0, 0, 0.25);
	transition: all 0.5s ease;
	border-radius: 23px 0 0 23px;
}
.Message-icon > i {
	transition: all 0.5s ease;
	width: 20px;
	font-size: 20px;
}

.Message-body {
	font-size: 14pt;
	display: table-cell;
	vertical-align: middle;
	padding: 15px 10px 15px 10px;
	transition: all 0.5s ease;
}
.Message-body > p {
	line-height: 1.2;
	margin-left: 3px;
}

.Message-button {
	position: relative;
	margin: 2px 5px 0px;
	background-color: rgba(0, 0, 0, 0.25);
	box-shadow: 0 3px rgba(0, 0, 0, 0.4);
	border: none;
	padding: 10px 15px;
	font-size: 16px;
	font-family: "Source Sans Pro";
	color: #fff;
	outline: none;
	cursor: pointer;
	transition: 0.15s;
	top: 0;
}
.Message-button:hover {
	background: rgba(0, 0, 0, 0.3);
}
.Message-button:active {
	background: rgba(0, 0, 0, 0.3);
	box-shadow: 0 0 rgba(0, 0, 0, 0.4);
	top: 3px;
}

.Message-close {
	background-color: rgba(0, 0, 0, 0.3);
	color: #fff;
	border: none;
	outline: none;
	font-size: 20px;
	opacity: 0;
	border-radius: 50%;
	transition: 0.15s;
	height: 25px;
	width: 25px;
	float: right;
	margin-right: 5px;
	margin-top: 5px;
	display: flex;
	justify-content: center;
	align-items: center;
}
.Message-close > i{
	cursor: pointer;
}
.Message:hover .Message-close {
	opacity: 1;
}
.Message-close:hover {
	background-color: rgba(0, 0, 0, 0.5);
}
